<bugID>972921<Summary>Stop animating content-deck margin, but create illusion that we are.</Summary><Description>I was talking to jrmuizel about this not long ago, and he said we might be able to avoid much of the reflow / painting occurring in the content-deck if we stop animating the margins on it.

We might be able to achieve the "shrink" effect in another way.

For example, the customization palette container can default to 2em margin on the left and right, and have 2em-wide ::before and ::after pseudoelements on either side. The trick is to setting the z-index of those pseudoelements very low, and then using CSS transforms to translate the pseudoelements behind the container, creating the illusion that the container is shrinking.

We'll need to do something special with the panel container and the menu panel as well - the panel container will need a 2em wide strip to suddenly "grow out" from the left side (in LTR mode), and the panel itself will need to translate 2em.

But the good news is that pretty much all of this can get offloaded to the GPU, which means we skip a ton of work.

Does this sound crazy?</Description></bugID>